Bug 139835

Summary: [PATCH] multimedia/nxtvepg: update to 2.8.0
Product: Ports & Packages Reporter: Sylvio César Teixeira Amorim <scjamorim>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
nxtvepg-2.8.0.patch none

Description Sylvio César Teixeira Amorim 2009-10-22 01:50:01 UTC
- Update to 2.8.0
- Patch files changed.

Generated with FreeBSD Port Tools 0.99
Comment 1 Dmitry Marakasov freebsd_committer 2009-10-28 02:39:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-10-28 02:39:51 UTC
State Changed
From-To: open->feedback

Incomplete plist: http://people.freebsd.org/~amdmi3/nxtvepg-2.8.0.log
Comment 3 Sylvio César Teixeira Amorim 2009-10-28 23:12:41 UTC
>Submitter-Id:	current-users
>Originator:	Sylvio Cesar
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/139835: [PATCH] multimedia/nxtvepg: update to 2.8.0
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		update
>Release:	FreeBSD 9.0-CURRENT amd64
>Environment:
System: FreeBSD fbsd.scjamorim.org 9.0-CURRENT FreeBSD 9.0-CURRENT #0: Sat Oct 10 21:33:17 BRT 2009
>Description:
- Followup patch with plist correct.

Generated with FreeBSD Port Tools 0.99
>How-To-Repeat:
>Fix:

--- nxtvepg-2.8.0.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/multimedia/nxtvepg/Makefile,v
retrieving revision 1.21
diff -u -u -r1.21 Makefile
--- Makefile	22 Aug 2009 00:28:30 -0000	1.21
+++ Makefile	28 Oct 2009 23:08:09 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	nxtvepg
-PORTVERSION=	2.7.6
-PORTREVISION=	2
+PORTVERSION=	2.8.0
 CATEGORIES=	multimedia tcl tk
 MASTER_SITES=	SF
 
@@ -21,7 +20,7 @@
 USE_XORG=	x11 xmu
 MAKE_ENV=	PTHREAD_LIBS=${PTHREAD_LIBS} WRKSRC=${WRKSRC}
 
-MAN1=		nxtvepg.1
+MAN1=		nxtvepg.1 nxtvepgd.1
 MYPORTDOCS=	README TODO CHANGES manual.html
 
 post-patch:
@@ -33,6 +32,7 @@
 	${INSTALL_PROGRAM} ${WRKSRC}/nxtvepg ${LOCALBASE}/bin
 	${INSTALL_DATA}    ${WRKSRC}/Nxtvepg.ad ${LOCALBASE}/lib/X11/app-defaults/Nxtvepg
 	${INSTALL_MAN}     ${WRKSRC}/nxtvepg.1 ${LOCALBASE}/man/man1
+	${INSTALL_MAN}     ${WRKSRC}/nxtvepgd.1 ${LOCALBASE}/man/man1
 
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/multimedia/nxtvepg/distinfo,v
retrieving revision 1.8
diff -u -u -r1.8 distinfo
--- distinfo	24 Nov 2005 14:08:00 -0000	1.8
+++ distinfo	28 Oct 2009 23:08:09 -0000
@@ -1,3 +1,3 @@
-MD5 (nxtvepg-2.7.6.tar.gz) = c7ceb0546502ae17ea7ce46c49bddace
-SHA256 (nxtvepg-2.7.6.tar.gz) = 2048df1ff9ca2d7d76639318f1a7bc3814b905e30fd3a109e6eae43c1bf6acf5
-SIZE (nxtvepg-2.7.6.tar.gz) = 1430471
+MD5 (nxtvepg-2.8.0.tar.gz) = fcd9acdaf8b82da1db2981d670d196a8
+SHA256 (nxtvepg-2.8.0.tar.gz) = d762581a7335dffe84d9680d02e17c7c00d04f1f5a9e51b8ac0f411f570f7c71
+SIZE (nxtvepg-2.8.0.tar.gz) = 1821231
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/multimedia/nxtvepg/pkg-plist,v
retrieving revision 1.2
diff -u -u -r1.2 pkg-plist
--- pkg-plist	31 Jul 2004 22:40:45 -0000	1.2
+++ pkg-plist	28 Oct 2009 23:08:09 -0000
@@ -1,4 +1,5 @@
 bin/nxtvepg
+bin/nxtvepgd
 lib/X11/app-defaults/Nxtvepg
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/TODO
Index: files/patch-Makefile
===================================================================
RCS file: /home/ncvs/ports/multimedia/nxtvepg/files/patch-Makefile,v
retrieving revision 1.4
diff -u -u -r1.4 patch-Makefile
--- files/patch-Makefile	19 Apr 2008 17:52:35 -0000	1.4
+++ files/patch-Makefile	28 Oct 2009 23:08:09 -0000
@@ -1,6 +1,6 @@
---- Makefile.orig	Sun Jul 18 15:00:26 2004
-+++ Makefile	Fri Jul 30 16:34:23 2004
-@@ -43,12 +43,24 @@
+--- Makefile.orig	2007-12-31 21:20:33.000000000 -0200
++++ Makefile	2009-10-21 22:24:56.000000000 -0200
+@@ -45,12 +45,24 @@
  include Makefile.bsd
  else
  
@@ -22,28 +22,23 @@
  exec_prefix = ${prefix}
  bindir  = $(ROOT)${exec_prefix}/bin
  mandir  = $(ROOT)${prefix}/man/man1
--resdir  = $(ROOT)/usr/X11R6/lib/X11
+-resdir  = $(ROOT)/etc/X11
 +resdir  = $(ROOT)$(LOCALBASE)/lib/X11
  
- # if you have perl set the path here, else just leave it alone
+ # if you have perl and/or flex set their path here, else just leave them alone
  PERL    = /usr/bin/perl
-@@ -104,10 +116,10 @@
- # The database directory can be either in the user's $HOME (or relative to any
- # other env variable) or at a global place like /var/spool (world-writable)
+@@ -110,6 +122,8 @@
  # -> uncomment 2 lines below to put the databases in the user's home
--#USER_DBDIR  = .nxtvdb
--#DEFS       += -DEPG_DB_ENV=\"HOME\" -DEPG_DB_DIR=\"$(USER_DBDIR)\"
+ #USER_DBDIR  = .nxtvdb
+ #DEFS       += -DEPG_DB_ENV=\"HOME\" -DEPG_DB_DIR=\"$(USER_DBDIR)\"
 +USER_DBDIR  = .nxtvdb
 +DEFS       += -DEPG_DB_ENV=\"HOME\" -DEPG_DB_DIR=\"$(USER_DBDIR)\"
  ifndef USER_DBDIR
--SYS_DBDIR    = /usr/tmp/nxtvdb
-+SYS_DBDIR    = /var/tmp/nxtvdb
+ SYS_DBDIR    = /var/tmp/nxtvdb
  DEFS        += -DEPG_DB_DIR=\"$(SYS_DBDIR)\"
- INST_DB_DIR  = $(ROOT)$(SYS_DBDIR)
- INST_DB_PERM = 0777
-@@ -121,7 +133,7 @@
- CFLAGS += $(WARN) $(INCS) $(DEFS)
- #LDLIBS += -pg
+@@ -127,7 +141,7 @@
+ LDFLAGS += -lm
+ #LDFLAGS += -pg
  
 -BUILD_DIR  = build-$(shell uname -m | sed -e 's/i.86/i386/' -e 's/ppc/powerpc/')
 +BUILD_DIR  ?= build-$(shell uname -m | sed -e 's/i.86/i386/' -e 's/ppc/powerpc/')
Index: files/patch-Makefile.bsd
===================================================================
RCS file: /home/ncvs/ports/multimedia/nxtvepg/files/patch-Makefile.bsd,v
retrieving revision 1.4
diff -u -u -r1.4 patch-Makefile.bsd
--- files/patch-Makefile.bsd	19 Apr 2008 17:52:35 -0000	1.4
+++ files/patch-Makefile.bsd	28 Oct 2009 23:08:09 -0000
@@ -1,6 +1,6 @@
---- Makefile.bsd.orig	Tue Mar 29 18:49:22 2005
-+++ Makefile.bsd	Sat Dec  2 12:45:13 2006
-@@ -69,12 +69,11 @@
+--- Makefile.bsd.orig	2005-01-01 16:35:26.000000000 -0200
++++ Makefile.bsd	2009-10-21 22:28:33.000000000 -0200
+@@ -69,15 +69,10 @@
  ECHO            ?= @echo
  
  # Paths
@@ -8,15 +8,17 @@
  exec_prefix = ${prefix}
 -bindir  = $(ROOT)${exec_prefix}/bin
 -mandir  = $(ROOT)${prefix}/man/man1
+-ifeq ($(OS), FreeBSD)
+-resdir  = $(ROOT)/usr/X11R6/lib/X11
+-else
 +bindir  = ${exec_prefix}/bin
 +mandir  = ${prefix}/man/man1
- ifeq ($(OS), FreeBSD)
--resdir  = $(ROOT)/usr/X11R6/lib/X11
-+resdir  = ${LOCALBASE}/lib/X11
- else
  resdir  = $(LOCALBASE)/lib/X11
- endif
-@@ -117,7 +116,7 @@
+-endif
+ 
+ # other settings
+ OPTFLAGS = -O -pipe -g
+@@ -117,7 +112,7 @@
  
  ifndef USER_DBDIR
  DEFS        += -DEPG_DB_DIR=\"$(SYS_DBDIR)\"
@@ -25,11 +27,12 @@
  INST_DB_PERM = 0777
  endif
  
-@@ -127,6 +126,7 @@
- CFLAGS ?= $(OPTFLAGS)
+@@ -128,7 +123,7 @@
  CFLAGS += $(WARN) $(INCS) $(DEFS)
- #LDLIBS += -pg
-+BUILD_DIR=	${WRKSRC}
- 
+ LDFLAGS += -lm
+ #LDFLAGS += -pg
+-
++BUILD_DIR=     ${WRKSRC}
  
  all :: printconfig
+ 
--- nxtvepg-2.8.0.patch ends here ---
Comment 4 Dmitry Marakasov freebsd_committer 2009-10-30 01:35:36 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!